package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

import com.ym.mec.biz.dal.enums.AuditStatusEnum;
import com.ym.mec.biz.dal.enums.CourseStatusEnum;

/**
 * 老师Vip课程信息
 */
public class TeacherVipClassInfoDto {
    @ApiModelProperty(value = "Vip课编号", required = false)
    private Integer vipClassId;

    @ApiModelProperty(value = "Vip课名称",required = false)
    private String vipClassName;

    @ApiModelProperty(value = "课程状态",required = false)
    private CourseStatusEnum status;

    @ApiModelProperty(value = "审核状态",required = false)
    private AuditStatusEnum auditStatus;

    @ApiModelProperty(value = "班级人数",required = false)
    private Integer studentNum;

    @ApiModelProperty(value = "课程单价",required = false)
    private BigDecimal vipClassFee;

    @ApiModelProperty(value = "开课时间",required = false)
    private Date paymentExpireDate;

    @ApiModelProperty(value = "截止时间",required = false)
    private Date coursesExpireDate;

    @ApiModelProperty(value = "申请时间",required = false)
    private Date createDate;

    @ApiModelProperty(value = "总课次",required = false)
    private Integer totalClassTimes;

    @ApiModelProperty(value = "当前课次",required = false)
    private Integer currentClassTimes;

    public Integer getCurrentClassTimes() {
        return currentClassTimes;
    }

    public void setCurrentClassTimes(Integer currentClassTimes) {
        this.currentClassTimes = currentClassTimes;
    }

    public Integer getTotalClassTimes() {
        return totalClassTimes;
    }

    public void setTotalClassTimes(Integer totalClassTimes) {
        this.totalClassTimes = totalClassTimes;
    }

    public Integer getVipClassId() {
        return vipClassId;
    }

    public void setVipClassId(Integer vipClassId) {
        this.vipClassId = vipClassId;
    }

    public String getVipClassName() {
        return vipClassName;
    }

    public void setVipClassName(String vipClassName) {
        this.vipClassName = vipClassName;
    }

    public CourseStatusEnum getStatus() {
        return status;
    }

    public void setStatus(CourseStatusEnum status) {
        this.status = status;
    }

    public AuditStatusEnum getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(AuditStatusEnum auditStatus) {
        this.auditStatus = auditStatus;
    }

    public Integer getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(Integer studentNum) {
        this.studentNum = studentNum;
    }

    public BigDecimal getVipClassFee() {
        return vipClassFee;
    }

    public void setVipClassFee(BigDecimal vipClassFee) {
        this.vipClassFee = vipClassFee;
    }

    public Date getPaymentExpireDate() {
        return paymentExpireDate;
    }

    public void setPaymentExpireDate(Date paymentExpireDate) {
        this.paymentExpireDate = paymentExpireDate;
    }

    public Date getCoursesExpireDate() {
        return coursesExpireDate;
    }

    public void setCoursesExpireDate(Date coursesExpireDate) {
        this.coursesExpireDate = coursesExpireDate;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
}
